%global momorel 2
%global rcver 1
%global prever 1
%global artsver 1.5.7
%global artsrel 1m
%global qtver 3.3.7
%global kdever 3.5.7
%global kdelibsrel 1m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0
%global md5sum_src0 032c914ab7316471505265e6a68d9da3

Summary: Satellite prediction software for KDE
Name: ktrack
Version: 0.3.0
Release: 0.%{prever}.%{momorel}m%{?dist}
License: GPL
URL: http://ktrack.sourceforge.net/
Group: Applications/Communications
%NoSource 0 http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}-rc%{rcver}.tar.bz2 %{md5sum_src0}
Patch0: %{name}-%{version}-desktop.patch
# patch from Fedora
Patch10: %{name}-headers.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
Requires: hamlib
Requires: xplanet
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: arts-devel >= %{artsver}-%{artsrel}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: desktop-file-utils
BuildPreReq: gettext
BuildPreReq: hamlib-devel

%description
K-Track is an KDE3 satellite prediction software, especially suited for radio
amateurs operating through the satellites that are providing linear
transponders.

%prep
%setup -q -n %{name}-%{version}-rc%{rcver}

%patch0 -p1 -b .desktop~

# Fedora patch
%patch10 -p 1 -b .headers

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--with-qt-libraries=%{qtdir}/lib \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/32x32/apps/ktrack.png %{buildroot}%{_datadir}/pixmaps/ktrack.png

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --add-category Utility \
  --add-category HamRadio \
  --add-category KDE \
  --add-category Qt \
  %{buildroot}%{_datadir}/applnk/Applications/HamRadio/ktrack.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
%{_bindir}/ktrack
%{_datadir}/applications/kde/ktrack.desktop
%{_datadir}/apps/ktrack
%{_datadir}/doc/HTML/*/ktrack
%{_datadir}/icons/*/*/*/ktrack.png
%{_datadir}/locale/*/LC_MESSAGES/ktrack.mo
%{_datadir}/pixmaps/ktrack.png

%changelog
* Sun Jul 29 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.0-0.1.2m)
- add Requires: xplanet

* Sat Mar 31 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.0-0.1.1m)
- initial package for Momonga Linux
- impoer ktrack-headers.patch from Fedora
